<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "purrawmain";
$trandb = "purrawtran";
$formname = "Purchase Raw Material Register";
$file = "purchrawreg.php";


$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$invno = $_POST["invno"];
$party = $_POST["party"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];
$printnar = $_POST["prna"];

$dtypecond = "";
$mscopecond = "";
$itemcond = "";
$gstcond = "";
$prodtypecond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);


if (!empty($party)) {
    $partycond = " AND `party`='$party' ";
}
if (!empty($dtype)) {
    $dtypecond = " AND `dtype`='$dtype' ";
}

if (!empty($scope)) {
    $mscopecond = " AND `type`='$scope' ";
}

if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}

$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond  order by vouchdt ") or die(mysqli_error($conn));

$mfdt = date("d-m-Y", strtotime($mfrmdate));
$mtdt = date("d-m-Y", strtotime($mtodate));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }

        .dtype {
            background-color: #cccccc;
        }@media print {
            
            .table-bordered>thead>tr>th{
                border: 1px solid black !important;
            }
            .table-bordered>tbody>tr>td{
                border: 1px solid black !important;
            }
            .table-bordered>tbody>tr>th{
                border: 1px solid black !important;
            }
        }
    </style>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep_kaccha.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='5%'>Invoice</th>
                                <th width='12%'>Date</th>
                                <th width='19%'>Broker</th>
                                <th width='19%'>Supplier</th>
                                <th width='5%' class="text-right"> Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;


                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getbroker = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[broker]'") or die(mysqli_error($conn));
                                $broker = mysqli_fetch_array($getbroker);

                                $ctr++;
                                echo "<tr id='boldfont'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$pmain[invno]</td>";
                                echo "<td>$pmain[mydt]</td>";
                                echo "<td>$broker[name]</td>";
                                echo "<td>$supp[name]</td>";
                                echo "<td class='text-right'>$pmain[totalamount]</td>";
                                echo "</tr>";

                                $ttotalamount += $pmain['totalamount'];

                                if ($_POST["dtype"] == 2) {

                                    echo "<tr style='height:10px;'>";
                                    echo "<td colspan='25'>";
                                    echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    echo "<th width='5%;'class='dtype'>Sr</th>"; 
                                    Echo "<th width='8%' class='dtype'>Material</th>";
                                    Echo "<th width='8%' class='dtype'>Color</th>";
                                    Echo "<th width='6%' class='dtype'>Lot</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Qty</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    echo "<tr>";

                                    $ctr2 = 0;
                                    $totyard = $totmtrs = $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `rawmat` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'") or die(mysqli_error($conn));
                                        $color = mysqli_fetch_array($getcolor);

                                        $ctr2++;
                                        echo "<tr>";
                                        echo "<td>$ctr2</td>";
                                        echo "<td>$item[name]</td>";
                                        echo "<td>$color[name]</td>";
                                        echo "<td>$tran[lot]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "</tr>";


                                        $totamt = $totamt + $tran['amount'];
                                        $totqty = $totqty + $tran['qty'];
                               
                                        $total = $total + $tran['total'];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totamt</b></h5></td>";
                                    echo "</tr>";

                                    echo "</table>";
                                    echo "</td>";
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$ttotalamount</b></h4></td>"; 
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}


if (isset($_POST["excel"])) {

    include("includes/head_excel_rep.php");

    $contents .= "Sr, Invoice, Date, Broker, Supplier,  Bill.Amt \n";

        $ctr = 0;
        $ttotamt = 0;
        $totpack = 0;
        $totbill = 0;
        $totitmpr = 0;
        $totdisc = 0;
        $tottaxamt = 0;
        $totcgst = 0;
        $totsgst = 0;
        $totigst = 0;


        while ($pmain = mysqli_fetch_array($getpmain)) {
            $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
            $supp = mysqli_fetch_array($getsupp);
            $getbroker = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[broker]'") or die(mysqli_error($conn));
            $broker = mysqli_fetch_array($getbroker);

            $ctr++;
            $contents .= $ctr . ",";
            $contents .= "$pmain[invno]" . ",";
            $contents .= "$pmain[mydt]" . ",";
            $contents .= "$broker[name]" . ",";
            $contents .= "$supp[name]" . ",";
            $contents .= "$pmain[totalamount]" . "\n";

            $ttotamt = $ttotamt + $pmain['subtotal'];
            $totitmpr = $totitmpr + $pmain['lesother'];

            $totbill = $totbill + $pmain['netamt'];

            if ($_POST["dtype"] == 2) {

                $contents .=  "Sr, Material, Color, Lot, Qty, Rate, Amount\n";

                $ctr2 = 0;
                $totyard = $totmtrs = $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `rawmat` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                    $item = mysqli_fetch_array($getitem);

                    $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'") or die(mysqli_error($conn));
                    $color = mysqli_fetch_array($getcolor);

                    $ctr2++;
                    $contents .= "$ctr2" . ",";
                    $contents .= "$item[name]" . ",";
                    $contents .= "$color[name]" . ",";
                    $contents .= "$tran[lot]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$tran[rate]" . ",";
                    $contents .= "$tran[amount]" . "\n";


                    $totamt = $totamt + $tran['amount'];
                    $tottaxable = $tottaxable + $tran['subtot'];
                    $totqty = $totqty + $tran['qty'];
                    $ttotalamount += $pmain['totalamount'];
                }

                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "Total" . ",";
                $contents .= "$totqty" . ",";
                $contents .= "" . ",";
                $contents .="$totamt" . "\n";
            }
        }

        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "Grand Total" .  ",";
        $contents .= "$ttotalamount" . "\n"; 
      
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>